For a deeper look into our Eikon Data API, look into:

Overview |  Quickstart |  Documentation |  Downloads |  Tutorials |  Articles

question

Upvotes
Accepted
36 0 1 1

requests-async package error while installing refinitiv-dataplatform

I am tring to install refinitiv-dataplatform using pip, and I get an error with requests-async, did anyone else have similar issues.

D:\Data\Code\eikondataapi>pip install refinitiv-dataplatform

DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support

Collecting refinitiv-dataplatform

Using cached https://files.pythonhosted.org/packages/ab/6f/5b360e995141ca24b2b425c906ee9ed2bc8884592d88059c69f2a10868e3/refinitiv-dataplatform-1.0.0a0.tar.gz

Requirement already satisfied: requests>=2.22.0 in c:\python27\lib\site-packages (from refinitiv-dataplatform) (2.24.0)

Collecting requests-async>=0.6.2 (from refinitiv-dataplatform)

ERROR: Could not find a version that satisfies the requirement requests-async>=0.6.2 (from refinitiv-dataplatform) (from versions: none)

ERROR: No matching distribution found for requests-async>=0.6.2 (from refinitiv-dataplatform)

eikoneikon-data-apipythonworkspaceworkspace-data-apirefinitiv-dataplatform-eikonrdp-api
icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.

1 Answer

Upvote
Accepted
36 0 1 1

Sorry I found the answer. By mistake the path had python 2.7 ahead of python 3.

icon clock
10 |1500

Up to 2 attachments (including images) can be used with a maximum of 512.0 KiB each and 1.0 MiB total.